=== debian/changelog ===
kdebase (4:1.1.1-19990901-1) unstable; urgency=low

  * New upstream CVS version
  * Fixes problem with postrm script giving error.

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 01 Sep 1999 13:00:27 -0400

kdebase (4:1.1.1-19990827-1) unstable; urgency=low

  * New upstream CVS version
  * Re-Writing post/pre scripts to follow debian policy a bit more as well
    as verify validity of install/remove process...in the process cleaned
    up a couple of bugs I had overlooked before

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Aug 1999 02:00:27 -0400

kdebase (4:1.1.1-19990818-1) unstable; urgency=low

  * New upstream CVS version
  * Fixing dependency issues with qt
  * Building with pam unlike the last couple

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 18 Aug 1999 02:30:27 -0400

kdebase (4:1.1.1-19990817-1) unstable; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 17 Aug 1999 11:45:27 -0400

kdebase (4:1.1.1-19990812-1) unstable; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 12 Aug 1999 14:45:27 -0400

kdebase (4:1.1.1-19990803-1) unstable; urgency=low

  * New upstream CVS version
  * kvt pty issue solved

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 03 Aug 1999 12:15:27 -0400

kdebase (4:1.1.1-19990717-3) unstable; urgency=low
 
  * Fixes LOGNAME issue with kdm (hopefully?)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 21 Jul 1999 20:15:27 -0400
                                                                                kdebase (4:1.1.1-19990717-2) unstable; urgency=low

  * Fixes LOGNAME issue with kdm

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 21 Jul 1999 13:50:27 -0400

kdebase (4:1.1.1-19990717-1.2) unstable; urgency=low

  * Fixing pam issue.  (trying to keep up with CVS is a pain at times)

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 20 Jul 1999 03:00:27 -0400

kdebase (4:1.1.1-19990717-1.1) unstable; urgency=low

  * fixing rman issue

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 18 Jul 1999 22:45:27 -0400

kdebase (4:1.1.1-19990717-1) unstable; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 17 Jul 1999 01:45:27 -0400

kdebase (4:1.1.1-19990701-1) unstable; urgency=low

  * New upstream CVS version 
  * This is pre-1.1.2 (frozen)

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 01 Jul 1999 23:45:27 -0400

kdebase (4:1.1.1-19990624-1) unstable; urgency=low

  * Fixing some missing documentation for kdm.  
  * Fixing some postinst/preinst issues with kdm/kdebase
  * New upstream CVS version (pull)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 24 Jun 1999 05:15:27 -0400

kdebase (4:1.1.1-19990620-2) unstable; urgency=low

  * Fixing kdm postinst script issue when /usr/X11R6/lib/X11/kdm doesn't
    exist
  * Changing kdm.postinst script so that it relies soely on the 
    /etc/X11/window-managers file.

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 22 Jun 1999 19:00:27 -0400

kdebase (4:1.1.1-19990620-1) unstable; urgency=low

  * Adding another Pre-Depends I missed
  * Adding a Suggests for libpam-modules (since slink users probably
    won't use pam, but potato users do and this is required)
  * Changing how kde is added to the /etc/X11/windows-manages file
    Using the wm manager program within Debian.  
  * Adding in more checks to clean out old configurations

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Jun 1999 19:30:27 -0400

kdebase (4:1.1.1-19990612-3) unstable; urgency=low

  * Adding in a Pre-Depends for xbase-clients that I had missed
    Thanks Thomas!
  * Fixed an error in the kdm-config file that was pointing to a xdm file

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 17 Jun 1999 08:15:27 -0400

kdebase (4:1.1.1-19990612-2) unstable; urgency=low

  * remove the .gmo files on clean
  * minor fixes to kdm.postinst and rules 
  * Minor updates to kderules script
  * Adding in a workaround for kdisknav's KDE directory listings

 -- Stephan Kulow <coolo@kde.org>  Sun, 13 Jun 1999 19:30:27 +0200

kdebase (4:1.1.1-19990612-1) unstable; urgency=low

  * New CVS upstream version
  * kthememgr is now a part of kdebase

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 12 Jun 1999 03:30:55 -0400

kdebase (4:1.1.1-19990529-2) unstable; urgency=low

  * Fixing some pam stuff which includes a /etc/pam.d/kde file, making
    the pam name=kde so that it uses the /etc/pam.d/kde file instead of
    xdm, kdm, or whatever.
  * Fixing the linux fonts for konsole.
  * Fixing the /var/state/kdm issue

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 31 May 1999 17:45:55 -0400

kdebase (4:1.1.1-19990529-1) unstable; urgency=low

  * Down to just one lintian warning. (that will probably stay)
  * Fixing final issues with package.  This includes cleaned up kdmrc output
    postrm scripts, and removal of final lintian errors.
  * Making kdm not require xdm

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 29 May 1999 22:00:55 -0400

kdebase (4:1.1.1-19990523-1) unstable; urgency=low

  * Fixing kappfinder issue
  * More postinst script fix's

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 23 May 1999 04:00:55 -0400

kdebase (4:1.1.1-19990516-1) unstable; urgency=low

  * migrating kdm into it's own package
  * fixing i18n build issues

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 May 1999 06:00:55 -0400

kdebase (4:1.1.1-19990424-1) unstable; urgency=low

  * new upstream version for KDE 1.1.1

 -- Stephan Kulow <coolo@kde.org>  Sat, 24 Apr 1999 16:53:55 +0200

kdebase (4:1.1-19990306-2) unstable; urgency=low

  * fixing some "lintian" problems

 -- Stephan Kulow <coolo@kde.org>  Sat, 13 Mar 1999 11:18:33 +0100

kdebase (4:1.1-19990306-1) unstable; urgency=low

  * new upstream version out of CVS (many translation updates and some
    security fixes

 -- Stephan Kulow <coolo@kde.org>  Sat,  6 Mar 1999 18:03:04 +0100

kdebase (4:1.1-19990217-1) unstable; urgency=low

  * new upstream version


