=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

BUILDDIR = ./build

build: $(BUILDDIR)/build-stamp

$(BUILDDIR)/build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	$(MAKE) -f Makefile.cvs
	test -d $(BUILDDIR) || mkdir $(BUILDDIR) ;\
	if test ! -f $(BUILDDIR)/config.status; then \
	cd $(BUILDDIR) ;\
	CFLAGS="-O2 -g -Wall -Wno-uninitialized -DUTMP_SUPPORT \
	  -DUTMP='\"/var/run/utmp\"'" \
	  CXXFLAGS="-O2 -g -Wall -Wno-uninitialized" \
	  RUN_KAPPFINDER="no" \
	../configure --with-shadow --without-pam \
	--with-install-root=`pwd`/../debian/tmp --with-qt-dir=/usr/lib/qt1g \
	--disable-rpath --with-xdmdir=/usr/X11R6/lib/X11/kdm ; \
	fi
	make -C $(BUILDDIR)
	
	touch $(BUILDDIR)/build-stamp

clean: debian-clean
	-rm -rf $(BUILDDIR)
	find po -name "*.gmo" | xargs rm -f
	dh_clean -k

debian-clean:
	dh_testdir
	-rm -f debian/debiandirs
	-rm -f $(BUILDDIR)/build-stamp
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	fi

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	make -C $(BUILDDIR) RUN_KAPPFINDER="no" install ac_xdmdir=`pwd`/debian/tmp/usr/X11R6/lib/X11/kdm
	mkdir -p debian/tmp/usr/doc/kde
	cp debian/README.kde debian/tmp/usr/doc/kde

## Install KDM
	install -d debian/tmp/etc/init.d
	install -d debian/tmp/etc/X11/kdm
	install -d debian/tmp/usr/doc/kdm
	install -d debian/tmp/usr/X11R6/lib/X11/kdm
	install -d debian/tmp/usr/share/man/man5
	install -d debian/tmp/usr/share/man/man1
	install -d debian/tmp/var/state/kdm
	install -d debian/tmp/etc/pam.d
	cp debian/kdm.1.gz debian/tmp/usr/share/man/man1
	cp debian/kdm.init.d debian/tmp/etc/init.d/kdm
	chmod +x debian/tmp/etc/init.d/kdm
# skipping CVS
	for file in debian/xdm/*; do \
	 if test -f $$file; then cp $$file debian/tmp/etc/X11/kdm ;\
        fi; done
	rm -f debian/tmp/usr/X11R6/lib/X11/kdm/*
	cp debian/README.xdm debian/tmp/usr/doc/kdm/README.Debian
	cp debian/kdm.options.5.gz debian/tmp/usr/share/man/man5
	cp debian/kdmrc debian/tmp/etc/kde
	chmod +x debian/tmp/etc/X11/kdm/Xreset* \
	debian/tmp/etc/X11/kdm/Xsetup* \
	debian/tmp/etc/X11/kdm/Xstartup* 
	cp debian/kde.pamd debian/tmp/etc/pam.d/kde
## Move on to rest
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/X11R6/lib/X11/fonts/misc
	cp debian/kappfinder debian/tmp/usr/bin
	mv debian/tmp/usr/bin/startkde debian/tmp/usr/bin/kde
	rm -rf debian/tmp/usr/share/applnk/debian_menu
	install -d debian/tmp/usr/share/applnk/debian_menu
	cp debian/debian.kdelnk \
	      debian/tmp/usr/share/applnk/debian_menu/.directory
	dh_undocumented 
	perl -w admin/debianrules
	mv debian/tmp/usr/share/mimelnk/magic debian/tmp/etc/kde
	cp konsole/other/linux*.pcf.gz debian/tmp/usr/X11R6/lib/X11/fonts/misc
	mkdir -p debian/tmp/usr/share/apps/kdisknav/KDE
	-rm -f `find debian/ -print | grep rman`
	for file in debian/KDE/*; do \
	 if test -f $$file; then cp $$file debian/tmp/usr/share/apps/kdisknav/KDE ;\
	fi; done
	-rm -f debian/tmp/usr/share/apps/kdisknav/KDE.kdelnk
	dh_movefiles
	install -d debian/kdm/var/state/kdm
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chown root.shadow debian/tmp/usr/bin/kcheckpass
	chmod 2755 debian/tmp/usr/bin/kcheckpass
	chmod 4755 debian/tmp/usr/bin/konsole_grantpty
	chmod 4755 debian/tmp/usr/bin/kvt
	chown root.root debian/kdm/etc/pam.d/kde
	chown root.root debian/kdm/var/state/kdm
	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol	
	dh_md5sums
	perl -w admin/debianrules update
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
