=== debian/watch ===
ftp.kde.org /pub/kde/stable/distribution/tgz/source kdebase-*.tgz debian /home/aj/debian/bin/update
